'''
Generate statistics for ISAC.
'''

import csv
import sys

file_path="/public/xcsp_instances/new/predictions/csp/ISAC"

def main(args):
    for n_solver in range(2, 12):
        n = 0
        nsi = 0.0
        ast = 0.0
        data = csv.reader(open(
            file_path + "/pred_" + str(n_solver) + "solvers", "rb"), 
            delimiter='|', 
            skipinitialspace = True
        )
        for line in data:
            if line:
                #print line
                n += 1
                nsi += float(line[2])
                ast += float(line[3]) 
        print str(n_solver) + '|' + str(ast / n) + '|' + str((nsi / n) * 100)        

if __name__ == '__main__':
    main(sys.argv[1:])
