'''
Generate statistics for 3S approach.
'''

import csv
import sys
file_path = "/public/xcsp_instances/new/predictions/csp/3S/rem_norm/"
num_solvers = 12

def main(args):
  for n_solver in range(2, num_solvers):
    n = 0
    nsi = 0
    ast = 0
    data = csv.reader(
      open(file_path + "/results_3S_" + str(n_solver) + "solvers", "rb"), 
      delimiter='|', 
      skipinitialspace = True
    )
    for line in data:
      if line:
        n += 1
        nsi += float(line[9])
        ast += float(line[10])     
    print str(n_solver) + '|' + str(ast / n) + '|' + str((nsi / n) * 100)        

if __name__ == '__main__':
    main(sys.argv[1:])
