'''
Compute features and performances data for ISAC approach.
'''

import sys
import csv
import json

feats_in='/public/xcsp_instances/new/scripts/classifiers/csp/3S/rem_norm/feat_vector'
times_in ='/public/xcsp_instances/new/solvers/csp/fixed/times_csp'
times_out ='/public/xcsp_instances/new/scripts/classifiers/csp/ISAC/data/data.perf'
feats_out ='/public/xcsp_instances/new/scripts/classifiers/csp/ISAC/data/data.features'
times_reader = csv.reader(open(times_in, 'rb'), delimiter = '|')
times_writer = csv.writer(open(times_out, 'wb'), delimiter = '\t')
with open(feats_in, 'r') as infile:
  feats_vector = json.load(infile)
feats_writer = csv.writer(open(feats_out, 'wb'), delimiter = '\t')

def main(args):
  for row in times_reader:
    line = [row[0]]
    times = eval(row[1])
    line.extend(times.values())
    times_writer.writerow(line)

  for row in feats_vector.items():
    line = [row[0]]
    feats = row[1]
    line.extend(feats)
    feats_writer.writerow(line)
 
if __name__ == '__main__':
    main(sys.argv[1:])
