'''
Compute the indexes of the solvers in the portfolio. 
'''

import sys
import csv

solvers_id = {'jacop': 1, 'izplus': 2, 'g12cpx': 3, 'gecode': 4, 'fzn2smt': 5, 'ortools': 6, 'mistral': 7, 'g12mip': 8, 'bprolog': 9, 'minisatid': 10, 'g12lazyfd': 11, 'g12fd': 12}
portfolios_file = '/public/xcsp_instances/new/solvers/csp/fixed/portfolios_csp'

def main(args):
  portfolios_reader = csv.reader(open(portfolios_file,  'rb'),  delimiter = '|')
  for row in portfolios_reader:
    solvers = eval(row[1])
    ids = []
    for solv in solvers:
      ids.append(solvers_id[solv])
    print row[0],':',ids

if __name__ == '__main__':
    main(sys.argv[1:])
